import QtQuick 2.4
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.3

Item {
    id: item1
    width: 400
    height: 400
    property alias btTramet: btTramet
    property alias text1: text1
    property alias progressBar: progressBar
    property alias textField: textField

    RowLayout {
        id: rowLayout
        height: 100
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5

        TextField {
            id: textField
            y: 31
            text: qsTr("Escriviu un text")
            Layout.fillWidth: true
        }

        Button {
            id: btTramet
            y: 31
            height: 42
            text: qsTr("Tramet")
        }
    }

    RowLayout {
        id: rowLayout1
        y: 229
        height: 100
        anchors.verticalCenter: parent.verticalCenter
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5

        ProgressBar {
            id: progressBar
            Layout.fillWidth: true
            spacing: 3
            to: 100.2
            value: 50
        }

        Text {
            id: text1
            x: 353
            color: "#162a8d"
            text: qsTr("50")
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 33
        }
    }
}

/*##^## Designer {
    D{i:3;anchors_width:301;anchors_x:56;anchors_y:201}D{i:6;anchors_width:100;anchors_x:65}
}
 ##^##*/
