#include "backend.h"
#include <QTimer>

BackEnd::BackEnd(QObject *parent) : QObject(parent)
{
    m_nCmpt = 0;

    QTimer *timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(vActualitza()));
    timer->start(50);
}

QString BackEnd::szCadena(){
    return m_szCadena;
}

void BackEnd::setCadena(const QString &szValue){
    m_szCadena = szValue;

    emit cadenaChanged();
}

int BackEnd::nCmpt(){
    return m_nCmpt;
}

void BackEnd::setCmpt(const int &nC){
    m_nCmpt = nC;

    emit cmptChanged();
}

void BackEnd::vActualitza(){
    m_nCmpt++;
    if(m_nCmpt > 100)
        m_nCmpt = 0;
    emit cmptChanged();
}
