#ifndef BACKEND_H
#define BACKEND_H

#include <QObject>
#include <QDebug>

class BackEnd : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString szCadena READ szCadena WRITE setCadena NOTIFY cadenaChanged)
    Q_PROPERTY(int nCmpt READ nCmpt WRITE setCmpt NOTIFY cmptChanged)
    Q_PROPERTY(int n WRITE funcio )

public:
    explicit BackEnd(QObject *parent = nullptr);
    QString szCadena();
    void setCadena(const QString &szValue);
    int nCmpt();
    void funcio(int n){qDebug() << "Hola "+QString(n);}
    void setCmpt(const int &nC);

signals:
    void cadenaChanged();
    void cmptChanged();

public slots:
    void vActualitza();

private:
    QString m_szCadena;
    int m_nCmpt;
};

#endif // BACKEND_H
