#include <QGuiApplication>
#include <QQmlApplicationEngine>

#include "backend.h"
#include "hellocpp.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    qmlRegisterType<BackEnd>("cadena.backend", 1, 0, "BackEnd");
    qmlRegisterType<hellocpp>("hello.backend", 1, 0, "HelloCpp");

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
    if (engine.rootObjects().isEmpty())
        return -1;

    return app.exec();
}
