import QtQuick 2.9
import QtQuick.Window 2.2
import cadena.backend 1.0
import hello.backend 1.0

Window {
    id: finestra

    visible: true
    width: 640
    height: 480
    title: qsTr("Senyals entre Qt/C++ i QML")

    //signal trametText(string sz)

    BackEnd{
        id: backend

        onSzCadenaChanged: {
            console.log(backend.szCadena);
        }
        onCmptChanged: {
            fef.actualitzaBarraDeProgres(backend.nCmpt);
            //console.log(backend.nCmpt);
        }
    }

    HelloCpp {
        id: demo
    }

    FrontendForm {
        id: fef
        anchors.fill: parent

        function actualitzaBarraDeProgres(n){
            progressBar.value = n;
            text1.text = n;
        }

        btTramet.onClicked: {
            backend.szCadena = textField.text;
            backend.n = 2
            demo.printMessage("Hello Cpp. Nice to see you");
        }
    }
}
